
%global giturl https://github.com/mjakeman/extension-manager
#%%global commit 004f257c3dea5f1851dadd753be87afc555b3dfb
#%%global commit_short %%(c=%%{commit}; echo ${c:0:7})
#%%global commit_date 20220428

Name:           gnome-extension-manager
Version:        0.4.3
Release:        2%{?dist}
#Release:        5.%%{commit_date}git%%{commit_short}%%{?dist}
Summary:        Gnome Extension Manager

License:        GPLv2+
URL:            https://github.com/mjakeman/extension-manager
%if 0%{?commit:1}
Source0:        %{giturl}/archive/%{commit}.tar.gz
%else
Source0:        %{giturl}/archive/v%{version}.tar.gz#/extension-manager-%{version}.tar.gz
%endif

Provides: gnome-extension-manager
Provides: gnome-extensions-app
Obsoletes: gnome-extensions-app
BuildRequires:  meson
BuildRequires:  blueprint-compiler
BuildRequires:  gobject-introspection
BuildRequires:  libsoup3-devel
BuildRequires:  libadwaita-devel
BuildRequires:  json-glib-devel
BuildRequires:  text-engine
BuildRequires:  desktop-file-utils
BuildRequires:  libbacktrace-devel

Requires:       libadwaita
Requires:       libsoup3
Requires:       json-glib
Requires:       text-engine


%description
Allows management of gnome extensions and installation without needing a browser.


%prep
%autosetup -p1 -n extension-manager-%{version}

# Remove -Werror from compiler flags
sed -i '/-Werror/d' meson.build

%build
%meson \
  %{nil}
%{meson_build}

%install
%meson_install


%files
%{_bindir}/*
%{_datadir}/*

%changelog
* Nov 7 2023 Matt Jakeman <github.com/mjakeman, mattjakemandev@gmail.com> - 0.4.3
- Add matrix room to README.md by @mjakeman in #419
- Use active instead of state for global toggle by @TheEvilSkeleton in #428
- Update hu.po by @ViBE-HU in #426
- CI: bump actions version, fix Node 12 deprecation warning under action runs by @kbdharun in #421
- po: update Tamil translation by @kbdharun in #420
- Add desktop file comment by @mjakeman in #429
- Add issue templates by @mjakeman in #430
- Make libbacktrace an optional dependency by @Leo3418 in #434
- Use proper margins for icons in local extensions list by @SpikedPaladin in #454
- Drop theme selector by @oscfdezdz in #456
- Update blueprint module by @oscfdezdz in #457
- search-provider: Fix sorting by recents by @oscfdezdz in #460
- upgrade-assistant: Ellipsize extension name by @oscfdezdz in #461
- upgrade-assistant: Mark two strings as translatable by @oscfdezdz in #462
- Minor improvements to build configuration by @oscfdezdz in #464
- metainfo: Add supports and requires tags by @oscfdezdz in #466
- Update Czech translations by @vikdevelop in #475
- Replace deprecated methods and widgets by @oscfdezdz in #458
- Update translation template & German translation by @gabrbrand in #476
- app: Add desktop keywords by @oscfdezdz in #483
- Port to new Libadwaita widgets by @oscfdezdz in #459
- search: Add relevance sort type by @oscfdezdz in #480
- Improve keyboard navigation by @oscfdezdz in #463
- Fix some common criticals by @oscfdezdz in #465
- po: Update Spanish translation by @oscfdezdz in #486
- flatpak: Add WebP support by @oscfdezdz in #487
- detail-view: Hide "Show All Reviews" button when there are none by @oscfdezdz in #491
- Updated French translation by @rene-coty in #498
- Small cleanups and fixes by @oscfdezdz in #493
- detail-view: Add extension's homepage by @oscfdezdz in #499
- Update Russian translation by @Alexmelman88 in #503
- Updated Ukrainian translation and re-generated .pot file. by @Vovkiv in #502
- project: Update for v0.4.3 by @mjakeman in #505
